X2Go Bug report logs - #723
x2go sessions insta-break with some GUI software (ROOT TBrowser)

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>

Date: Wed, 7 Jan 2015 18:50:02 UTC

Severity: normal

Found in version 4.0.3.0

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Wed, 07 Jan 2015 18:50:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 07 Jan 2015 18:50:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: x2go sessions insta-break with some GUI software (ROOT TBrowser)
Date: Wed, 7 Jan 2015 19:33:42 +0100
Package: x2goclient
Version: 4.0.3.0

x2goserver-version: 4.0.1.18-0~949 running on Ubuntu 14.04.1
x2goclient-version: 4.0.3.0 running on Windows 7

We are experiencing a strange bug in the interplay of x2go with a component of the ROOT data analysis framework (https://root.cern.ch). Displaying GUI windows in the ROOT framework, shows them shortly and results in an immediate CRASH of the X2go connection with a Windows error "vcxsrv.exe has stopped working" and subsequent closure of all opened remote applications.
Strangely the GUI window shows up when resuming the session in X2go. Running the ROOT GUI window from pure vcxsrv, Xming, Mobaxfire or similar Windows X-Server applications works flawlessly. It also worked previously with the "baikal" version of X2go. I admit this seems to be an exotic bug but there might be further graphical software affected which increases the severity of this bug.

Steps to reproduce:
- Install ROOT from the webpage or via "apt-get install root-system-bin" on the x2goserver
- Run "root" on command line.
- Open a TBrowser with the command "TBrowser b"

After this the x2goclient slowly fills the "session" log with warnings of
"Proxy: WARNING! Handling data for finishing FD#6 channel ID#1."

This bug is a kind of a show stopper for us because we need ROOT for scientific use. I would help to further track down the error and debug if I can get some hints where and how to start.

Kind regards,
Martin


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Thu, 08 Jan 2015 09:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 08 Jan 2015 09:55:01 GMT) Full text and rfc822 format available.

Message #10 received at 723@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>, 723@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#723: x2go sessions insta-break with some GUI software (ROOT TBrowser)
Date: Thu, 08 Jan 2015 09:52:06 +0000
[Message part 1 (text/plain, inline)]
Hi Martin,

On  Mi 07 Jan 2015 19:33:42 CET, Babutzka, Martin (EKP) wrote:

> Package: x2goclient
> Version: 4.0.3.0
>
> x2goserver-version: 4.0.1.18-0~949 running on Ubuntu 14.04.1
> x2goclient-version: 4.0.3.0 running on Windows 7
>
> We are experiencing a strange bug in the interplay of x2go with a  
> component of the ROOT data analysis framework  
> (https://root.cern.ch). Displaying GUI windows in the ROOT  
> framework, shows them shortly and results in an immediate CRASH of  
> the X2go connection with a Windows error "vcxsrv.exe has stopped  
> working" and subsequent closure of all opened remote applications.
> Strangely the GUI window shows up when resuming the session in X2go.  
> Running the ROOT GUI window from pure vcxsrv, Xming, Mobaxfire or  
> similar Windows X-Server applications works flawlessly. It also  
> worked previously with the "baikal" version of X2go. I admit this  
> seems to be an exotic bug but there might be further graphical  
> software affected which increases the severity of this bug.
>
> Steps to reproduce:
> - Install ROOT from the webpage or via "apt-get install  
> root-system-bin" on the x2goserver
> - Run "root" on command line.
> - Open a TBrowser with the command "TBrowser b"
>
> After this the x2goclient slowly fills the "session" log with warnings of
> "Proxy: WARNING! Handling data for finishing FD#6 channel ID#1."
>
> This bug is a kind of a show stopper for us because we need ROOT for  
> scientific use. I would help to further track down the error and  
> debug if I can get some hints where and how to start.
>
> Kind regards,
> Martin

Is it possible to be granted access to a reference installation that  
shows the above describe behaviour?

Esp. the fact, that resuming the "crashed" session gives me a bit of  
hope here.

Also: do you know if your software uses the X11 bigrequests extension?

Thanks+Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Fri, 09 Jan 2015 15:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Jan 2015 15:15:01 GMT) Full text and rfc822 format available.

Message #15 received at 723@bugs.x2go.org (full text, mbox):

From: "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>
To: "723@bugs.x2go.org" <723@bugs.x2go.org>
Subject: Re: [X2Go-Dev] Bug#723: x2go sessions insta-break with some GUI software (ROOT TBrowser)
Date: Fri, 9 Jan 2015 15:55:57 +0100
Some updates on this bug:

I've tested several VcXsrv-Versions from http://code.x2go.org/releases/binary-win32/3rd-party/vcxsrv-modified-by-x2go-project/
The bug purely occurs with the more recent versions of VcXsrv - like 1.15.2.0 and 1.15.2.1
The bug does NOT occur with the older versions 1.14 (tested 1.14.3.2).

So the bug is caused by changes made in VcXsrv from version 1.14 to 1.15. I used the debug version "vcxsrv-debug.1.15.2.1-xp+vc2013+x2go1.installer.exe" to receive the following trace of the SIGFAULT:

Program received signal SIGSEGV, Segmentation fault.
in memcpy () from C:\Temp\VcXsrv-Debug\msvcr120d.dll

0x5b4b3365  <+0x01c5>        f3 0f 6f 0e              movdqu (%esi),%xmm1
0x5b4b3369  <+0x01c9>        83 e9 10                 sub    $0x10,%ecx
0x5b4b336c  <+0x01cc>        8d 76 10                 lea    0x10(%esi),%esi
0x5b4b336f  <+0x01cf>        66 0f 7f 0f              movdqa %xmm1,(%edi)
0x5b4b3373  <+0x01d3>        8d 7f 10                 lea    0x10(%edi),%edi
0x5b4b3376  <+0x01d6>        eb e8                    jmp    0x5b4b3360 <memcpy+448>
0x5b4b3378  <+0x01d8>        0f ba e1 02              bt     $0x2,%ecx
0x5b4b337c  <+0x01dc>        73 0d                    jae    0x5b4b338b <memcpy+491>
0x5b4b337e  <+0x01de>        8b 06                    mov    (%esi),%eax
0x5b4b3380  <+0x01e0>        83 e9 04                 sub    $0x4,%ecx
0x5b4b3383  <+0x01e3>        8d 76 04                 lea    0x4(%esi),%esi
0x5b4b3386  <+0x01e6>        89 07                    mov    %eax,(%edi)
0x5b4b3388  <+0x01e8>        8d 7f 04                 lea    0x4(%edi),%edi
0x5b4b338b  <+0x01eb>        0f ba e1 03              bt     $0x3,%ecx
0x5b4b338f  <+0x01ef>        73 11                    jae    0x5b4b33a2 <memcpy+514>
0x5b4b3391  <+0x01f1>        f3 0f 7e 0e              movq   (%esi),%xmm1
0x5b4b3395  <+0x01f5>        83 e9 08                 sub    $0x8,%ecx
0x5b4b3398  <+0x01f8>        8d 76 08                 lea    0x8(%esi),%esi
0x5b4b339b  <+0x01fb>        66 0f d6 0f              movq   %xmm1,(%edi)
0x5b4b339f  <+0x01ff>        8d 7f 08                 lea    0x8(%edi),%edi
0x5b4b33a2  <+0x0202>        8b 04 8d d8 34 4b 5b     mov    0x5b4b34d8(,%ecx,4),%eax
0x5b4b33a9  <+0x0209>        ff e0                    jmp    *%eax
0x5b4b33ab  <+0x020b>        f7 c7 03 00 00 00        test   $0x3,%edi
0x5b4b33b1  <+0x0211>        75 15                    jne    0x5b4b33c8 <memcpy+552>
0x5b4b33b3  <+0x0213>        c1 e9 02                 shr    $0x2,%ecx
0x5b4b33b6  <+0x0216>        83 e2 03                 and    $0x3,%edx
0x5b4b33b9  <+0x0219>        83 f9 08                 cmp    $0x8,%ecx
0x5b4b33bc  <+0x021c>        72 2a                    jb     0x5b4b33e8 <memcpy+584>
SEGFAULT
0x5b4b33be  <+0x021e>        f3 a5                    rep movsl %ds:(%esi),%es:(%edi)


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Fri, 09 Jan 2015 15:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Jan 2015 15:30:02 GMT) Full text and rfc822 format available.

Message #20 received at 723@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>, 723@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#723: Bug#723: x2go sessions insta-break with some GUI software (ROOT TBrowser)
Date: Fri, 9 Jan 2015 10:29:26 -0500
On Fri, Jan 9, 2015 at 9:55 AM, Babutzka, Martin (EKP)
<martin.babutzka@kit.edu> wrote:
> Some updates on this bug:
>
> I've tested several VcXsrv-Versions from http://code.x2go.org/releases/binary-win32/3rd-party/vcxsrv-modified-by-x2go-project/
> The bug purely occurs with the more recent versions of VcXsrv - like 1.15.2.0 and 1.15.2.1
> The bug does NOT occur with the older versions 1.14 (tested 1.14.3.2).
>
> So the bug is caused by changes made in VcXsrv from version 1.14 to 1.15. I used the debug version "vcxsrv-debug.1.15.2.1-xp+vc2013+x2go1.installer.exe" to receive the following trace of the SIGFAULT:
>
[...]

Hi Martin,

This is a bug that I do intend to fix when I get a chance, even if it
means fixing the bug in the VcXsrv code. However, I am not an expert
at C, and I probably will not fix this anytime soon. (Patches from
others are welcome.)

However, in the meantime, you can follow this workaround:
1. Install VcXsrv (VcXsrv-xp) 1.14.3.2 and remember where you installed it.
2. Configure X2Go Client for Windows to use that vcxsrv.exe as an
external X server: Options -> Settings -> X-Server settings

If you have a large number of users or machines that need these
settings, you can save the settings a registry key that can be
exported and imported per-user-account and per-machine. The reg key
is:
[HKEY_CURRENT_USER\Software\Obviously Nice\x2goclient\settings]

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Mon, 12 Jan 2015 10:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 12 Jan 2015 10:50:02 GMT) Full text and rfc822 format available.

Message #25 received at 723@bugs.x2go.org (full text, mbox):

From: "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>
To: "723@bugs.x2go.org" <723@bugs.x2go.org>
Subject: AW: [X2Go-Dev] Bug#723: Bug#723: x2go sessions insta-break with some GUI software (ROOT TBrowser)
Date: Mon, 12 Jan 2015 11:45:21 +0100
Hey Mikes :-)

Thanks for your replies. We resolved the problem by recommending the x2go client version 4.0.2.1 to our users which includes a sufficiently old Vcxsrv. We are fine with this solution.
Please keep this upstream-bug in vcxsrv in mind for the case more applications show the problem and replicated bug reports are created.

Thanks for your efforts on the x2go-software!
Martin


*****
Martin Babutzka
Karlsruher Institut für Technologie (KIT), ITEP-TLK und IEKP
Email: martin.babutzka@kit.edu
Tel.: +49 721 608 24041 (TLK)
oder: +49 721 608 24097 (IK)


-----Ursprüngliche Nachricht-----
Von: Michael DePaulo [mailto:mikedep333@gmail.com] 
Gesendet: Freitag, 9. Januar 2015 16:29
An: Babutzka, Martin (EKP); 723@bugs.x2go.org
Betreff: Re: [X2Go-Dev] Bug#723: Bug#723: x2go sessions insta-break with some GUI software (ROOT TBrowser)

On Fri, Jan 9, 2015 at 9:55 AM, Babutzka, Martin (EKP) <martin.babutzka@kit.edu> wrote:
> Some updates on this bug:
>
> I've tested several VcXsrv-Versions from 
> http://code.x2go.org/releases/binary-win32/3rd-party/vcxsrv-modified-b
> y-x2go-project/ The bug purely occurs with the more recent versions of 
> VcXsrv - like 1.15.2.0 and 1.15.2.1 The bug does NOT occur with the 
> older versions 1.14 (tested 1.14.3.2).
>
> So the bug is caused by changes made in VcXsrv from version 1.14 to 1.15. I used the debug version "vcxsrv-debug.1.15.2.1-xp+vc2013+x2go1.installer.exe" to receive the following trace of the SIGFAULT:
>
[...]

Hi Martin,

This is a bug that I do intend to fix when I get a chance, even if it means fixing the bug in the VcXsrv code. However, I am not an expert at C, and I probably will not fix this anytime soon. (Patches from others are welcome.)

However, in the meantime, you can follow this workaround:
1. Install VcXsrv (VcXsrv-xp) 1.14.3.2 and remember where you installed it.
2. Configure X2Go Client for Windows to use that vcxsrv.exe as an external X server: Options -> Settings -> X-Server settings

If you have a large number of users or machines that need these settings, you can save the settings a registry key that can be exported and imported per-user-account and per-machine. The reg key
is:
[HKEY_CURRENT_USER\Software\Obviously Nice\x2goclient\settings]

-Mike#2

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Mon, 12 Jan 2015 12:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 12 Jan 2015 12:15:01 GMT) Full text and rfc822 format available.

Message #30 received at 723@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>, 723@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#723: AW: Bug#723: Bug#723: x2go sessions insta-break with some GUI software (ROOT TBrowser)
Date: Mon, 12 Jan 2015 12:10:47 +0000
[Message part 1 (text/plain, inline)]
On  Mo 12 Jan 2015 11:45:21 CET, Babutzka, Martin (EKP) wrote:

> Hey Mikes :-)
>
> Thanks for your replies. We resolved the problem by recommending the  
> x2go client version 4.0.2.1 to our users which includes a  
> sufficiently old Vcxsrv. We are fine with this solution.
> Please keep this upstream-bug in vcxsrv in mind for the case more  
> applications show the problem and replicated bug reports are created.
>
> Thanks for your efforts on the x2go-software!
> Martin

Thanks, Martin, for your feedback.

We will leave this bug open so that Mike#2 remembers to fix it later  
some time...

;-)
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Tue, 13 Jan 2015 14:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 13 Jan 2015 14:05:01 GMT) Full text and rfc822 format available.

Message #35 received at 723@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: "Babutzka, Martin (EKP)" <martin.babutzka@kit.edu>, 723@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#723: AW: Bug#723: Bug#723: x2go sessions insta-break with some GUI software (ROOT TBrowser)
Date: Tue, 13 Jan 2015 09:02:48 -0500
On Mon, Jan 12, 2015 at 5:45 AM, Babutzka, Martin (EKP)
<martin.babutzka@kit.edu> wrote:
> Hey Mikes :-)
>
> Thanks for your replies. We resolved the problem by recommending the x2go client version 4.0.2.1 to our users which includes a sufficiently old Vcxsrv. We are fine with this solution.
> Please keep this upstream-bug in vcxsrv in mind for the case more applications show the problem and replicated bug reports are created.
>
> Thanks for your efforts on the x2go-software!
> Martin
[...]

No problem.

I'm glad you have a workaround for the time being.

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Tue, 01 Mar 2016 15:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dining Services - Catering <catering@ucf.edu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 01 Mar 2016 15:35:02 GMT) Full text and rfc822 format available.

Message #40 received at 723@bugs.x2go.org (full text, mbox):

From: Dining Services - Catering <catering@ucf.edu>
To: "verifyaccount@microsoft.ca" <verifyaccount@microsoft.ca>
Subject: Microsoft Account Security Alart
Date: Tue, 1 Mar 2016 15:27:34 +0000
[Message part 1 (text/plain, inline)]

Noelle Fowler | Aramark | Catering Sales Coordinator | University of Central Florida
4000 Central Florida Blvd. SRC 109 | Orlando, FL 32816
P: 407-823-2494 F: 407-823-0053


© 2014 Aramark. All rights reserved. This communication, including attachments, is for the exclusive use of addressee as directed by Aramark and may contain proprietary, confidential and/or privileged information. If you are not the intended recipient, any use, copying, disclosure, dissemination or distribution is strictly prohibited. If you are not the intended recipient, please notify the sender immediately by return e-mail, delete this communication and destroy all copies.
PLEASE PRINT RESPONSIBLY
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Tue, 01 Mar 2016 15:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dining Services - Catering <catering@ucf.edu>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 01 Mar 2016 15:40:01 GMT) Full text and rfc822 format available.

Message #45 received at 723@bugs.x2go.org (full text, mbox):

From: Dining Services - Catering <catering@ucf.edu>
To: "verifyaccount@microsoft.ca" <verifyaccount@microsoft.ca>
Subject: Microsoft Account Security Alart
Date: Tue, 1 Mar 2016 15:28:24 +0000
[Message part 1 (text/plain, inline)]
Helpdesk Mail Support require you to re-validate your Microsoft outlook mail immediately by clicking : VERIFY<http://helpdesk-accesspor.wix.com/verify>

This Message is From Helpdesk. Due to our latest IP Security upgrades we have reason to believe that your Microsoft outlook mail account was accessed by a third party.
Protecting the security of your Microsoft outlook mail account is our primary concern, we have limited access to sensitive Microsoft outlook mail account features.
Failure to re-validate, your e-mail will be blocked in 24 hours

Thank you for your cooperation.

Help Desk
Microsoft outlook Team.
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Thu, 26 Jan 2017 10:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to prinz.charles@freenet.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 26 Jan 2017 10:45:02 GMT) Full text and rfc822 format available.

Message #50 received at 723@bugs.x2go.org (full text, mbox):

From: prinz.charles@freenet.de
To: 723@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#723: x2go sessions insta-break with some GUI software (ROOT TBrowser)
Date: Thu, 26 Jan 2017 11:34:22 +0100
Hi Mike,
 
are you still there? We like X2Go very much - great work! Is there any chance to solve this problem in Vcxsrv? Or maybe give a possible reason for the problem, so that the ROOT programmers could think about a solution. I know it is a relatively small user group using ROOT together with X2Go Client for Windows, but I would be very glad to get it working without installing an old Vcxsrv version.


Kind regards,
Patrick












---
Die Bundesliga hat begonnen! Alle Tore, alle Ergebnisse, alle News: Pocket Liga jetzt im https://app.adjust.com/dpynzd oder https://app.adjust.com/dpynzd herunterladen - kostenlos!



Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Sat, 28 Jan 2017 18:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 28 Jan 2017 18:20:02 GMT) Full text and rfc822 format available.

Message #55 received at 723@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 723@bugs.x2go.org, prinz.charles@freenet.de
Cc: Michael DePaulo <mikedep333@gmail.com>
Subject: Re: [X2Go-Dev] Bug#723: Bug#723: x2go sessions insta-break with some GUI software (ROOT TBrowser)
Date: Sat, 28 Jan 2017 19:13:36 +0100
[Message part 1 (text/plain, inline)]
Am 26.01.2017 um 11:34 schrieb prinz.charles@freenet.de:
> Hi Mike,
>  
> are you still there? We like X2Go very much - great work! Is there any chance to solve this problem in Vcxsrv? Or maybe give a possible reason for the problem, so that the ROOT programmers could think about a solution. I know it is a relatively small user group using ROOT together with X2Go Client for Windows, but I would be very glad to get it working without installing an old Vcxsrv version.

Well, I'm not Mike#2, but you might want to check if the crash isn't
actually caused server-side by the old NX-libs.

If you can set up a test system (please don't try this on a production
system, especially if you don't have a backup!), try following the steps
listed here:
http://wiki.x2go.org/doku.php/doc:howto:nx-libs-betatesting

After that, try connecting with X2GoClient 4.0.5.2 (and the VcXsrv we
ship with it) and see what happens.

If you're still experiencing the problem, please wait a few weeks until
around 2017-02-09, when X2GoClient 4.1.0.0 is scheduled to be released
and try again.

->Still no change? Then please let us know.

-Stefan

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Mon, 30 Jan 2017 03:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jan 2017 03:35:02 GMT) Full text and rfc822 format available.

Message #60 received at 723@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 723@bugs.x2go.org, prinz.charles@freenet.de, martin.babutzka@kit.edu
Subject: Re: [X2Go-Dev] Bug#723: Bug#723: Bug#723: x2go sessions insta-break with some GUI software (ROOT TBrowser)
Date: Mon, 30 Jan 2017 04:31:33 +0100
[Message part 1 (text/plain, inline)]
Okay, so last night, I had a chance to try this myself.
Upgrading NX-Libs does not help.
It is indeed more likely to be a client-side issue, rather than a case
of the NX-Libs sending garbage that then kills the client.

When starting the "root" application on a "stable" (Debian Jessie/Stable
and X2Go stable) system, "root" complains at startup that it is missing
a font named adobe-helvetica-<something>, and it hints at package names
that may include this font.
The closest matches to those package names are already installed, though.
Seems to me that it's looking for client-side fonts, rather than
server-side fonts.

Running "TBrowser b" insider "root" causes the crash.

Upgrading to X2Go heuler + Arctica Nightlies does not change a single bit.

However, using the latest stock VcXsrv build
(<https://netcologne.dl.sourceforge.net/project/vcxsrv/vcxsrv/1.18.3.0/vcxsrv.1.18.3.0.installer.exe>),
rather than the X2Go/Arctica one fixes the issue - plus the complaint
regarding the missing font goes away.

I tried this by selecting the use of a custom X.org server in
X2GoClient's settings menu, pointing it at the vcxsrv.exe of the newly
installed package, and restarting X2GoClient (this is important) before
attempting to connect.

Next, I tried to find out if it might simply be a font issue.
So I copied the content of the fonts folder from the newer VcXsrv
installation to the one shipped with X2GoClient, set X2GoClient so it
would use its own VcXsrv copy again, and restarted the client.
Sadly, this causes it to crash again when repeating the steps from above
- so it is not a case of missing fonts (alone).

-Stefan

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Mon, 30 Jan 2017 14:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Baur <X2Go-ML-1@baur-itcs.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 30 Jan 2017 14:45:01 GMT) Full text and rfc822 format available.

Message #65 received at 723@bugs.x2go.org (full text, mbox):

From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 723@bugs.x2go.org, prinz.charles@freenet.de
Subject: Current theory: It's a regression in VcXsrv that can be worked around without needing an out-of-date client or VcXsrv version
Date: Mon, 30 Jan 2017 15:43:42 +0100
[Message part 1 (text/plain, inline)]
Debugging this with the help of Mike#2 turned up the following:

If you select an external X-Server in X2GoClient's settings, yet point
it back at the VcXsrv that is shipped with X2GoClient, it will work,
provided:

- the options for the various X-Server modes default to this:
	-screen 0 %wx%h -notrayicon -clipboard
	-fullscreen -notrayicon -clipboard
	-multiwindow -notrayicon -clipboard
	-nodecoration -notrayicon -clipboard -screen 0 @
- you restarted X2GoClient after making these changes
- you run a full desktop environment in windowed mode
  (it still crashes in single application/published application mode)

The "-screen 0 800x600 -notrayicon -clipboard :0" entry is the most
relevant one.

Note that these settings may have unwanted side effects if you are using
X2GoClient to connect in different modes.

Especially, this *will* break Published Application Mode.  Single
Application Mode is unaffected, but running the problematic app this bug
is about will still cause a crash in Single Application Mode.

-Stefan

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Fri, 10 Mar 2017 00:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to tlincstoro007@a2plcpnl0813.prod.iad2.secureserver.net:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 10 Mar 2017 00:05:02 GMT) Full text and rfc822 format available.

Message #70 received at 723@bugs.x2go.org (full text, mbox):

From: tlincstoro007@a2plcpnl0813.prod.iad2.secureserver.net
To: 723@bugs.x2go.org
Subject: Our UPS courier can not contact you (parcel #007221758)
Date: Fri, 10 Mar 2017 00:02:46 +0000
[Message part 1 (text/plain, inline)]
Dear Customer,

We can not deliver your parcel arrived at March 07.

Postal label is enclosed to this e-mail. Please check the attachment!

Most sincerely,
Max Hodges,
UPS Senior Office Manager.

[UPS-Delivery-007221758.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Fri, 07 Apr 2017 18:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to tekoacharter@webhost1.esc5.net:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 07 Apr 2017 18:40:01 GMT) Full text and rfc822 format available.

Message #75 received at 723@bugs.x2go.org (full text, mbox):

From: tekoacharter@webhost1.esc5.net
To: 723@bugs.x2go.org
Subject: Item Delivery Notification
Date: Fri, 7 Apr 2017 10:21:02 -0500
[Message part 1 (text/plain, inline)]
Dear Customer,

Please check your package delivery details attached!

FedEx

-----BEGIN PGP PUBLIC KEY BLOCK-----

5QHjHYt1oypVlJQFDaRLPWif4SgD2LF7XW6t5NuRPyBmEp/OSY+c6vU912pgFF0UkIOR20hBjrDU
QL921tqA/qWI975PSvoR9LwLqfD9ob8EGpLaaqP54+Ap9DFNMRnNeGzIjlJpV68yjGmL2Jl9A/K7
ufL/rSyKCvLq0RXkFWPbzwEPJBoHbiQeD3+fPr7sDKfrBcF2M89lWsmxanEeK6ROL5e1FfLpGID7
rF3bQWXDKvzQnOLZZ2Nu/DAmf9efDRgktg5gjd3KT+zv4YweUdfjxQ8wL/RRs1IxujArcx6ERWNl
Ozjx6Rp205f1NdNt/2eYTh6x6pIVJvy1timUCmdOKVr5lnfhAM1kmJNZxhcxnPhzrhuXmedGh5uO
4Nn3c/hsovGX/GXdlkb9VvIkLQ0kFpzWSIzD1gIyd+fY2ztxuDTD7+b63TlvAuAqHUn7vG7lRnFS
tBATasPkEYYo5Igg5Uo7+QXTp9TuMdFrZaIJtH8IhS+Znb0/IxlqywdYgoqZTfv8aB1vJbBTvucF
oZcUKwALjbNvp1f2O07L4EK7FQ4qMl3D4FCVP8f2/gKSMNqd56S4eQiRAodnwiQQy4CEk1GVNRMe
z7Yo6+v4OucxEDO718/Ln6lsNyYKZWx5kAFTL6GDLgKLzxUBp/4/7TJt4c1AfcuxTjZWMXd3+rIr
ctT8fjv9yLNe27Sa/zoceEvHfUk9IsoMg/e22OMMIev4rE6DafWAMiONTgvYQkqJc4Oo81RMshuC
LZ0aKgWFFSghVnRHuPuOWUbJr5WFURVxQymzLRv+5zoZPQp4XFMfSVZnTN9jvc+9rARcx/oytnOx
gzqX6QM7wF7H6iTHau2y227DvKsRSbrjwiy4RRFCLp62100CUWo8J0OCzFpnTvJXZPyic0q73EPv
Mwz/D6sqFbhloIIHGL10AoSCzSSZCyYAsI88But0+2XLRzlE6PFv8ordmFH0N3XAhdqcuyyeZBwK
tAc45U54yFXa0gEVCgx+M9zabSxubnMExVGgqeUgmrZ3XFtUu+L/RWnSTdKft8syedGe2JNXSzdq
jVMvcOYJ3j0acuGZoEplKnj4Iph8+idLx+6KoZMbiSfY32ARV40721L8QeR6flEI6Uda1B/5zL+Z
uIyd/H/k4NjGwdh3lNjjpovu0h5+M5/rpVOvTU1J94/V+GLHw83cmPcnVLRkbkbwJ2YE4KOQLjJD
zcsgama6ZQyX55kVhtLBsT1nruDsOLD2brSVOT//0a0w4+umtoeUUSz0XoPnXyGf6pPJ6ZpXvKRF
nLjuC9WtpRbjNmk94aP6kpo9yWOYTXDeRIXQsOmI6w==


-----END PGP PUBLIC KEY BLOCK-----

[FedEx-Package-ID-DZ804U4S.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Thu, 18 May 2017 09:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to infrared@tom.spd.co.il:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 18 May 2017 09:55:01 GMT) Full text and rfc822 format available.

Message #80 received at 723@bugs.x2go.org (full text, mbox):

From: infrared@tom.spd.co.il
To: 723@bugs.x2go.org
Subject: Delivery Status Notification
Date: Thu, 18 May 2017 12:09:17 +0300
[Message part 1 (text/plain, inline)]
Dear Customer,

Please check the attachment for your item delivery details!

FedEx

-----BEGIN PGP PUBLIC KEY BLOCK-----

tW/AMlO5KWWw7dxXb+LUkEV1optVkgKdGTlXqnn+s4XMh4s9a5cZsR5t2BRTWhHIil+8iPpHOGl6
dyV+hV/JW4qjElhJ5tdtWxXTE9jyNzS/Bd+MRlFA/RPGF951vO+b3LFeTq5tM3q6CJCPQC6ACKlf
GF62HdJi99MdXN/FnWhc5elGaGVUuPq8tdTwJMf05JjOLrvChplMo9VI/1y4WOxT/hKSCHZW5P+n
GJBFlNK4iuT/zsvtAM+3L6an4xGZRY9UBZcGO3FsJdyHxi7k5CVmPDlEzDTPei9Wc+SOUJ4K72wa
oQufbgQz7S2lS8nNWL0/e7i9bHq9iaiXcTNCVTmZDANUWewB+Q/npnjud5m0grK/CfDnW5qe6R5I
BvIo5/xP5VQ+ktSNO7IZXwo2jyesRLMkTJfo8U6fpBqW3fARD0dmCfbEGe1d3gVCCodGYmIHZI6V
Q24TD13i6NYmwiImsAZJYbNm64BA1NNNftEasAsiADlLrP7iluc5B4crkhiA5ir4QIKdIBpKmprH
791WHB7yHYBZorolP6k7BvrnzJqwtOaYHMglGDp5J5GvjSwIL0DdghVcCKAdgiqX73aCXmlbi3oi
X5F9gGKKKb/dT60GhMHAq2htAtkoEVdUJ4kSXuSjisVJsUm9KAE+1NrZAy1dD5nZNW2OTJ2j8I7Y
TXTvSyXQkoocWnTB2Pkeekn6MUwsw0UN10W0vscloB7oOXhFs+8iRD2dhxmZt+eaiSoTgEirVfE6
dDdCHaa/LmsWhSXZEMChzYHuNhU4m/PiJv/ivPCiVM3EeWLB8PSFB5EzxUZj98/jgcxS+3d71ga+
2gjAm0vl0qfHU8M4lDl+KpAKAMImGwy8U1ox6on7ZcaPbF/0jCodfa1kxQiNWKjz4GoI0nUW+8ec
eet4rzMNMdCckVKnXvvJuXbVC8nsg7RkG9rPT0tLjb2L4K3ZhmVA+d9YJ3In6HjjnkD1/Burunqz
fc1JSvX3IS3PadGMceVIXi4PJ9B14BkU703gZrC4HPUZbHS/IE8cNgfXiuWRP+lkL8f7B6/0COma
b7RxKgQggGc0xupLLGNeOsif4B+tI0DiIxr0WX3P+caDr8m3Xz5oJ5ccdZEGPO+cC9lgEjUcwr+R
vOuw5xS9oEsXjqyBwCJ3eMiLHdQ5hxLpFGyowCzq4sXeCgkfxsZu+U6ZBqQtdf6G7uCPYCcgfblr
kxwFw3Or7UuRXI0KBEx9j1FyCK9fS2OtiskD1Nv/pBWhw2rCFtvHKCQJHZA3CiHu+8DQJUZl/mrd
eonO95CRfnAb4xr4KJGXu1QxXiD8NlO6C/rmBOl+Jg==


-----END PGP PUBLIC KEY BLOCK-----

[FedEx-Delivery-ID-H7S3WKQE.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Tue, 27 Jun 2017 22:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to postmaster+2227396@post.webmailer.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 27 Jun 2017 22:25:02 GMT) Full text and rfc822 format available.

Message #85 received at 723@bugs.x2go.org (full text, mbox):

From: postmaster+2227396@post.webmailer.de
To: 723@bugs.x2go.org
Subject: UPS issue #002842637: unable to delivery parcel
Date: Wed, 28 Jun 2017 00:14:21 +0200
[Message part 1 (text/plain, inline)]
Dear Customer,

Your parcel was successfully delivered June 24 to UPS Station, but our courier cound not contact you.

You can find more details in this e-mail attachment!

Many thanks,
 ,
UPS Parcels Operation Manager.

[UPS-Delivery-Details-002842637.zip (application/zip, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Fri, 29 Sep 2017 13:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to at256@outlook.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 29 Sep 2017 13:05:02 GMT) Full text and rfc822 format available.

Message #90 received at 723@bugs.x2go.org (full text, mbox):

From: Stella Jason <howellree@gmail.com>
To: undisclosed-recipients:;
Subject: Guten Morgen sehr geehrter
Date: Fri, 29 Sep 2017 13:01:55 +0000
[Message part 1 (text/plain, inline)]
*Guten Morgen sehr geehrter*

*Wie sind Sie heute Haben Sie meine E-Mail erhalten? wenn nicht bitte
mailen Sie mir hier: ok so ich werde die E-Mail an Sie zurücksenden.*

*Danke,*

*Stella Jason Abbas.*
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#723; Package x2goclient. (Fri, 29 Sep 2017 13:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to rosekolonga@yahoo.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 29 Sep 2017 13:20:01 GMT) Full text and rfc822 format available.

Message #95 received at 723@bugs.x2go.org (full text, mbox):

From: Rose Kolonga <howellree@gmail.com>
To: undisclosed-recipients:;
Subject: Aw: Guten Morgen
Date: Fri, 29 Sep 2017 13:17:02 +0000
[Message part 1 (text/plain, inline)]
*Aw: Guten Morgen *

*Mein Name ist Rose. Kolonga Ich habe die Summe von $ 5 Millionen Dollar
von meinen verstorbenen Eltern geerbt. Ich möchte in deinem Land für meine
Ausbildung und Investition investieren. Erwarten, von Ihnen sofort zu
hören.*

*Sie, antworten Sie mir direkt für mehr Details*

*Vielen Dank*

*Fräulein Rose.  *
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Dec 11 07:40:02 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.